<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.6.0.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Default_suite" class="navigator-link">
              <span class="suite-name border-passed">Default suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Default_suite" class="navigator-link ">
                    <span>C:\Users\ASus\AppData\Local\Temp\testng-eclipse--1748266776\testng-customsuite.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Default_suite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Default_suite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Default_suite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Default_suite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Default_suite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Default_suite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">9 methods,   9 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Default_suite" class="hide-methods passed suite-Default_suite"> (hide)</a> <!-- hide-methods passed suite-Default_suite -->
                      <a href="#" panel-name="suite-Default_suite" class="show-methods passed suite-Default_suite"> (show)</a> <!-- show-methods passed suite-Default_suite -->
                    </span>
                    <div class="method-list-content passed suite-Default_suite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="Add_To_Cart.Add_To_Cart" class="method navigator-link" hash-for-method="testAddToCartSingleProduct_AlreadyAdded">testAddToCartSingleProduct_AlreadyAdded</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="Add_To_Cart.Add_To_Cart" class="method navigator-link" hash-for-method="testAddToCartSingleProduct_MultipleQuantities">testAddToCartSingleProduct_MultipleQuantities</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="Add_To_Cart.Add_To_Cart" class="method navigator-link" hash-for-method="testAddToCartSingleProduct_SingleQuantity">testAddToCartSingleProduct_SingleQuantity</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testInvalidPhoneNumber">testInvalidPhoneNumber</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testSignUpWithEmptyFields">testSignUpWithEmptyFields</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testSignUpWithInvalidFullname">testSignUpWithInvalidFullname</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testSignUpWithInvalidFullname1">testSignUpWithInvalidFullname1</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testSignUpWithInvalidPassword">testSignUpWithInvalidPassword</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="User_Registration.Registration_feature" class="method navigator-link" hash-for-method="testSignUpWithInvalidVerificationCode">testSignUpWithInvalidVerificationCode</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Default_suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Default_suite" class="panel Default_suite">
          <div class="suite-Default_suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">Add_To_Cart.Add_To_Cart</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="testAddToCartSingleProduct_AlreadyAdded">
                  </a> <!-- testAddToCartSingleProduct_AlreadyAdded -->
                  <span class="method-name">testAddToCartSingleProduct_AlreadyAdded</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testAddToCartSingleProduct_MultipleQuantities">
                  </a> <!-- testAddToCartSingleProduct_MultipleQuantities -->
                  <span class="method-name">testAddToCartSingleProduct_MultipleQuantities</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testAddToCartSingleProduct_SingleQuantity">
                  </a> <!-- testAddToCartSingleProduct_SingleQuantity -->
                  <span class="method-name">testAddToCartSingleProduct_SingleQuantity</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Default_suite-class-passed -->
          <div class="suite-Default_suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">User_Registration.Registration_feature</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="testInvalidPhoneNumber">
                  </a> <!-- testInvalidPhoneNumber -->
                  <span class="method-name">testInvalidPhoneNumber</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testSignUpWithEmptyFields">
                  </a> <!-- testSignUpWithEmptyFields -->
                  <span class="method-name">testSignUpWithEmptyFields</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testSignUpWithInvalidFullname">
                  </a> <!-- testSignUpWithInvalidFullname -->
                  <span class="method-name">testSignUpWithInvalidFullname</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testSignUpWithInvalidFullname1">
                  </a> <!-- testSignUpWithInvalidFullname1 -->
                  <span class="method-name">testSignUpWithInvalidFullname1</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testSignUpWithInvalidPassword">
                  </a> <!-- testSignUpWithInvalidPassword -->
                  <span class="method-name">testSignUpWithInvalidPassword</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testSignUpWithInvalidVerificationCode">
                  </a> <!-- testSignUpWithInvalidVerificationCode -->
                  <span class="method-name">testSignUpWithInvalidVerificationCode</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Default_suite-class-passed -->
        </div> <!-- panel Default_suite -->
        <div panel-name="test-xml-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\ASus\AppData\Local\Temp\testng-eclipse--1748266776\testng-customsuite.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Default suite&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Default test&quot; verbose=&quot;2&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;User_Registration.Registration_feature&quot;/&gt;
      &lt;class name=&quot;Add_To_Cart.Add_To_Cart&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Default test --&gt;
&lt;/suite&gt; &lt;!-- Default suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Default test (2 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Default_suite');
function tableData_Default_suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(9);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'testSignUpWithInvalidFullname1')
data.setCell(0, 2, 'User_Registration.Registration_feature')
data.setCell(0, 3, 10927);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'testInvalidPhoneNumber')
data.setCell(1, 2, 'User_Registration.Registration_feature')
data.setCell(1, 3, 6874);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'testAddToCartSingleProduct_AlreadyAdded')
data.setCell(2, 2, 'Add_To_Cart.Add_To_Cart')
data.setCell(2, 3, 5528);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'testAddToCartSingleProduct_SingleQuantity')
data.setCell(3, 2, 'Add_To_Cart.Add_To_Cart')
data.setCell(3, 3, 4322);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'testAddToCartSingleProduct_MultipleQuantities')
data.setCell(4, 2, 'Add_To_Cart.Add_To_Cart')
data.setCell(4, 3, 4294);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'testSignUpWithInvalidVerificationCode')
data.setCell(5, 2, 'User_Registration.Registration_feature')
data.setCell(5, 3, 3578);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'testSignUpWithInvalidPassword')
data.setCell(6, 2, 'User_Registration.Registration_feature')
data.setCell(6, 3, 3403);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'testSignUpWithInvalidFullname')
data.setCell(7, 2, 'User_Registration.Registration_feature')
data.setCell(7, 3, 3123);
data.setCell(8, 0, 8)
data.setCell(8, 1, 'testSignUpWithEmptyFields')
data.setCell(8, 2, 'User_Registration.Registration_feature')
data.setCell(8, 3, 2865);
window.suiteTableData['Default_suite']= { tableData: data, tableDiv: 'times-div-Default_suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 44 seconds</span>
              <div id="times-div-Default_suite">
              </div> <!-- times-div-Default_suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">Add_To_Cart.Add_To_Cart</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">setUp</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-test before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">User_Registration.Registration_feature</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">setup</span>
                <span class="method-start">9136 ms</span>
              </div> <!-- configuration-test before -->
              <div class="test-method">
                <span class="method-name">testInvalidPhoneNumber</span>
                <span class="method-start">10571 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testSignUpWithEmptyFields</span>
                <span class="method-start">17450 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testSignUpWithInvalidFullname</span>
                <span class="method-start">20318 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testSignUpWithInvalidFullname1</span>
                <span class="method-start">23442 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testSignUpWithInvalidPassword</span>
                <span class="method-start">34372 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testSignUpWithInvalidVerificationCode</span>
                <span class="method-start">37778 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">Add_To_Cart.Add_To_Cart</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">testAddToCartSingleProduct_AlreadyAdded</span>
                <span class="method-start">41371 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testAddToCartSingleProduct_MultipleQuantities</span>
                <span class="method-start">46901 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testAddToCartSingleProduct_SingleQuantity</span>
                <span class="method-start">51196 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-test after">
                <span class="method-name">tearDown</span>
                <span class="method-start">55521 ms</span>
              </div> <!-- configuration-test after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">User_Registration.Registration_feature</div> <!-- chronological-class-name -->
              <div class="configuration-test after">
                <span class="method-name">tearDown</span>
                <span class="method-start">58495 ms</span>
              </div> <!-- configuration-test after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
